<?php
namespace Ep\Woo\Product\View;

use Ep\Woo\View\AbstractView;

class ProductDetailsBrand extends AbstractView
{
    protected $templateOverrides = [
        'product-details-brand.php'
    ];

    /**
     * Renderira view.
     *
     * @return string
     */
    public function render(): string
    {
        /** @var $product \Ep\Woo\Product\Simple */
        global $product;

        $brand = $product->getBrand();

        return $this->getRenderer()->render('@woo/product-details-brand.html.twig', [
            'brand' => $brand['name'] ?? ''
        ]);
    }
}