<?php
namespace Ep\Woo\Cart;

use WC_Cart;
use Zend\EventManager\Event;

/**
 * Predstavlja nekakav događaj vezan uz košaricu.
 *
 * @package Ep\Woo\Cart
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link http://gitlab.ep.local/ep-framework/woocommerce
 */
final class CartEvent extends Event
{
    const EVENT_ADD = 'cart.add';

    /**
     * @return WC_Cart
     */
    public function getCart(): WC_Cart
    {
        /** @noinspection PhpIncompatibleReturnTypeInspection */
        return $this->target;
    }
}